PLESK - CLIENTS - CREATE CLIENT

Plesk - Clients - Create Client API Endpoints

Complete documentation for all Plesk - Clients - Create Client related endpoints.

POST

Create Plesk Client

Create a new Plesk client account for hosting management.

Endpoint Details

HTTP Request
POST https://0xhost.com/API/plesk/clients/create
Parameters
Parameter Type Required Description
name string Yes Full name of the client
login string Yes Login username for Plesk
email string Yes Client email address
password string Yes Client password for Plesk
company string No Company name (optional)
Authentication
API Key Required in header
Headers
Header Value Required Description
x-api-key your_api_key_here Yes Your unique API key for authentication
Content-Type application/json Optional Recommended for consistent response handling

Response Fields

Field Type Description
success boolean Indicates if the operation was successful
message string Response message describing the result
data object/array Contains the response data

Success Response

API Response Example
{
    "success": true,
    "message": "Client created successfully",
    "data": {
        "id": "client123-4567-8901-2345-678901234567",
        "plesk_client_id": "123",
        "name": "John Doe",
        "login": "johndoe",
        "email": "[email protected]",
        "company": "ACME Corp"
    }
}

Code Examples

Programming Languages
JavaScript (Fetch API)
async function makeRequest() {
  try {
    const response = await fetch('https://0xhost.com/API/plesk/clients/create', {
      method: 'POST',
      headers: {
        'x-api-key': 'your_api_key_here',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
          "name": "John Doe",
          "login": "johndoe",
          "email": "[email protected]",
          "password": "SecurePass123",
          "company": "ACME Corp"
      })
    });

    const data = await response.json();
    console.log('Response:', data);
    return data;
  } catch (error) {
    console.error('Error:', error);
  }
}
Python (Requests)
import requests
import json

def make_request(api_key):
    url = 'https://0xhost.com/API/plesk/clients/create'
    headers = {
        'x-api-key': api_key,
        'Content-Type': 'application/json'
    }
    data = {
        "name": "John Doe",
        "login": "johndoe",
        "email": "[email protected]",
        "password": "SecurePass123",
        "company": "ACME Corp"
    }

    response = requests.POST(
        url,
        headers=headers,
        json=data
    )

    if response.status_code == 200:
        return response.json()
    else:
        print(f'Error: {response.status_code}')
        return None
PHP (cURL)
function makeRequest($apiKey) {
    $url = 'https://0xhost.com/API/plesk/clients/create';
    $data = {
        "name": "John Doe",
        "login": "johndoe",
        "email": "[email protected]",
        "password": "SecurePass123",
        "company": "ACME Corp"
    };

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'x-api-key: ' . $apiKey,
        'Content-Type: application/json'
    ]);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));

    $response = curl_exec($ch);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    return json_decode($response, true);
}
cURL Command
curl -X POST \
  'https://0xhost.com/API/plesk/clients/create' \
  -H 'x-api-key: your_api_key_here' \
  -H 'Content-Type: application/json' \
  -d '{    "name": "John Doe",    "login": "johndoe",    "email": "[email protected]",    "password": "SecurePass123",    "company": "ACME Corp"}'